# SPDX-FileCopyrightText: 2024 Clicks Codes
#
# SPDX-License-Identifier: GPL-3.0-only

{ config, inputs, lib, system, ... }:

{
  options.clicks.sites."docs.auxolotl.org".enable = lib.options.mkEnableOption "Enable hosting https://docs.auxolotl.org";

  config = lib.modules.mkIf config.clicks.sites."docs.auxolotl.org".enable {
    clicks.services.nginx = {
      enable = true;

      hosts."docs.auxolotl.org" = {
        service = lib.clicks.nginx.http.directory "${builtins.toString inputs.aux--docs-site.packages.${system}.default}";
        www = false;
      };
    };
  };
}
