# SPDX-FileCopyrightText: 2024 Clicks Codes
#
# SPDX-License-Identifier: GPL-3.0-only

{ lib, config, ... }:
{
  options = {
    clicks.users.coded.enable = lib.mkOption {
      type = lib.types.bool;
      default = config.clicks.defaults.enable;
    };
  };

  config = lib.mkIf config.clicks.users.coded.enable {
    nix.settings.trusted-users = [ "coded" ];
    clicks.users.deployers = [ "coded" ];

    users.users.coded = {
      isNormalUser = true;
      group = "coded";

      openssh.authorizedKeys.keys = [
        "sk-ssh-ed25519@openssh.com AAAAGnNrLXNzaC1lZDI1NTE5QG9wZW5zc2guY29tAAAAILrwKN4dJQ0BiLmjsA/66QHhu06+JyokWtHkLcjhWU79AAAABHNzaDo= coded@5CNFC"
        "sk-ssh-ed25519@openssh.com AAAAGnNrLXNzaC1lZDI1NTE5QG9wZW5zc2guY29tAAAAIOMSUqXuH1bQZJc9rLV0H7/UY0c2BlkzAKWkwrXFWbQ7AAAABHNzaDo= coded@5CNano"
      ];
    };

    users.groups.coded = { };
  };
}
