# SPDX-FileCopyrightText: 2024 Clicks Codes
#
# SPDX-License-Identifier: GPL-3.0-only

{
  config,
  lib,
  pkgs,
  ...
}:
{
  options = {
    clicks.users = {
      deployers = lib.mkOption {
        type = lib.types.listOf lib.types.str;
        default = [ ];
        description = "Users who should be allowed to deploy to this server. They will be given passwordless access to run commands as root";
      };
      backups = lib.mkOption {
        type = lib.types.listOf lib.types.str;
        default = [ ];
        description = "Accounts used to create snapshots to backup this server. They will be given passwordless access to run commands as root";
      };
    };
  };
}
